Reconnect Trading 212 with supplied credentials
curl --request POST \
--url https://api.itoflow.ai/brokers/{connectionId}/trading212/reconnect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"api_key": "<string>",
"api_secret": "<string>",
"permissions": {
"account_data": true,
"history_dividends": true,
"history_orders": true,
"history_transactions": true,
"metadata": true,
"orders_execute": true,
"orders_read": true,
"pies_read": true,
"pies_write": true,
"portfolio": true
},
"broker_type": "trading212",
"broker_user_name": "<string>"
}
'import requests
url = "https://api.itoflow.ai/brokers/{connectionId}/trading212/reconnect"
payload = {
"api_key": "<string>",
"api_secret": "<string>",
"permissions": {
"account_data": True,
"history_dividends": True,
"history_orders": True,
"history_transactions": True,
"metadata": True,
"orders_execute": True,
"orders_read": True,
"pies_read": True,
"pies_write": True,
"portfolio": True
},
"broker_type": "trading212",
"broker_user_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
api_key: '<string>',
api_secret: '<string>',
permissions: {
account_data: true,
history_dividends: true,
history_orders: true,
history_transactions: true,
metadata: true,
orders_execute: true,
orders_read: true,
pies_read: true,
pies_write: true,
portfolio: true
},
broker_type: 'trading212',
broker_user_name: '<string>'
})
};
fetch('https://api.itoflow.ai/brokers/{connectionId}/trading212/reconnect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"authorization_url": "<string>",
"broker_type": "<string>",
"connection_id": "<string>",
"expires_at": "<string>",
"portfolio_id": "<string>",
"session_id": "<string>",
"success": true,
"sync_status": "<string>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Brokers
Reconnect Trading 212 with supplied credentials
Operation ID: post__brokers_connectionId_trading212_reconnect.
POST
https://api.itoflow.ai
/
brokers
/
{connectionId}
/
trading212
/
reconnect
Reconnect Trading 212 with supplied credentials
curl --request POST \
--url https://api.itoflow.ai/brokers/{connectionId}/trading212/reconnect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"api_key": "<string>",
"api_secret": "<string>",
"permissions": {
"account_data": true,
"history_dividends": true,
"history_orders": true,
"history_transactions": true,
"metadata": true,
"orders_execute": true,
"orders_read": true,
"pies_read": true,
"pies_write": true,
"portfolio": true
},
"broker_type": "trading212",
"broker_user_name": "<string>"
}
'import requests
url = "https://api.itoflow.ai/brokers/{connectionId}/trading212/reconnect"
payload = {
"api_key": "<string>",
"api_secret": "<string>",
"permissions": {
"account_data": True,
"history_dividends": True,
"history_orders": True,
"history_transactions": True,
"metadata": True,
"orders_execute": True,
"orders_read": True,
"pies_read": True,
"pies_write": True,
"portfolio": True
},
"broker_type": "trading212",
"broker_user_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
api_key: '<string>',
api_secret: '<string>',
permissions: {
account_data: true,
history_dividends: true,
history_orders: true,
history_transactions: true,
metadata: true,
orders_execute: true,
orders_read: true,
pies_read: true,
pies_write: true,
portfolio: true
},
broker_type: 'trading212',
broker_user_name: '<string>'
})
};
fetch('https://api.itoflow.ai/brokers/{connectionId}/trading212/reconnect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"authorization_url": "<string>",
"broker_type": "<string>",
"connection_id": "<string>",
"expires_at": "<string>",
"portfolio_id": "<string>",
"session_id": "<string>",
"success": true,
"sync_status": "<string>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Body
application/json